#include "tile/testing/main.h"

#include "gflags/gflags.h"
// #include "glog/logging.h"
#include "tile/init.h"
#include "gtest/gtest.h"

namespace tile {
namespace testing {

int
InitAndRunAllTests(int *argc, char **argv)
{
    ::testing::InitGoogleTest(argc, argv);

    // if (gflags::GetCommandLineFlagInfoOrDie("logtostderr").is_default) {
    //   FLAGS_logtostderr = true;
    // }

    GTEST_FLAG_SET(death_test_style, "threadsafe");
    return Start(*argc, argv, [](int, char **) { return ::RUN_ALL_TESTS(); });
}

}// namespace testing
}// namespace tile

TILE_TEST_MAIN
